#ENSIGHT_USER_DEFINED_BEGIN
#FACTORY=ctor
#ENSIGHT_USER_DEFINED_END
#
# *************************************************************
#  Copyright 1995-2010 Computational Engineering International, Inc.
#  All Rights Reserved.
#
#  Restricted Rights Legend
#
#  Use, duplication, or disclosure of this
#  software and its documentation by the
#  Government is subject to restrictions as
#  set forth in subdivision [(b)(3)(ii)] of
#  the Rights in Technical Data and Computer
#  Software clause at 52.227-7013.
# *************************************************************
#
import ensight
from ensight.core.menu_extension import menu_extension
import sys,os,os.path
# Note: the module 'simple_menu' is the subfolder 'simple_menu' via __init__.py
# simple_menu.simple_menu_file is the file: simple_menu/simple_menu_file.py
# simple_menu.simple_menu_file.simple_menu_class is the class: simple_menu_class in the file simple_menu/simple_menu_file.py
from simple_menu import simple_menu_file
#
# Allow multiple extensions to fall under the same parent menu
# If my parent menu exists, use it, otherwise create it
#
def find_folder_ext(parent,objs):
    rjf = ensight.core.core_extension.find_extension("menu","rjf_parent_menu_ext")
    if (not rjf):
        rjf = menu_extension("rjf_parent_menu_ext",None)
        rjf.setText("RJFs Menus")
        rjf.setTooltip("Randy's menu extensions")
        rjf.setDesc("Randy's menu extensions")
        dir = os.path.dirname(__file__)
        rjf.setIcon(os.path.join(dir,"goat.png"))
        if (parent):
           parent.addChild(rjf)
        objs.append(rjf)
    return rjf
#
def ctor(parent):
    objs = []
    p = find_folder_ext(parent,objs)
    # create our ext
    tmp = simple_menu_file.simple_menu_class("rjf_menu1",p,"Menu...")
    objs.append(tmp)
    return objs

