#
# Import the parent class for all user-defined menus and the ensight module
#
import ensight
from ensight.core.menu_extension import menu_extension
#
# Define a menu class, a subclass of the menu_extension class
#
class simple_menu_class(menu_extension):
#
# Construct the menu with reasonable defaults
#
    def __init__(self,name,parent,text="",tooltip="",desc="",icon=None):
        menu_extension.__init__(self,name,__file__,1.0)
        if (parent):
            parent.addChild(self)
        if (icon):
            self.setIcon(icon)
        self.setText(text)
        self.setDesc(text)
        self.setTooltip(text)
#
# Method that is called when the menu is selected
#
    def run(self):
        print "Menu:",self.getText()," selected"
